Page MenuHomePhabricator

Set $wgEnotifMinorEdits true throughout WMF, and instead use $wgDefaultUserOptions['enotifminoredits']
Closed, ResolvedPublic

Description

$wgEnotifMinorEdits causes email notifications to never be sent for minor edits. There is no per-user override, which means it will no longer show "Email me also for minor edits of pages and files" in preferences.

$wgEnotifMinorEdits is false throughout almost all WMF wikis.

I think it would be more intuitive to set it true everywhere.

The wikis with $wgEnotifMinorEdits already true should start with $wgDefaultUserOptions['enotifminoredits'] also false (since it is now), but perhaps be asked if they want it true (that would change the current behavior for them)). Other wikis could also change $wgDefaultUserOptions['enotifminoredits'] later if they wanted.

That way, it would be default-unchecked on most wikis, and people wouldn't get emails, but they could still choose to. It is one more preference, but it's tucked in a section with 3 checkboxes already, and I think it's a net benefit to let people choose.

This also works around T29884: enotif doesn't send email if page on watchlist edited following a minor edit and enotif not configured to send minor edits. somewhat (since you can at least opt in). With T29884 still broken and without this, the situation is quite bad.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptAug 11 2016, 4:58 PM

(Tweaked the description proposal a little).

Pine added a subscriber: Pine.EditedAug 12 2016, 5:38 AM

Thanks for diagnosing this issue Matt. It's counterintuitive to me that people wouldn't get notifications for messages on their talk page, especially since the community seems to feel so strongly about having the OBOD to notify about talk page messages. I would suggest that buy default people should be notified for all edits to their talk pages, especially keeping in mind that some users make errors in saying that an edit is minor when it's not. Giving the user the option to disable notifications for minor edits makes sense to me, but by default I think that editors should be notified of all edits on their talk pages.

Pine awarded a token.Aug 12 2016, 5:38 AM
Dalba awarded a token.Feb 26 2017, 6:42 PM
Koavf added a subscriber: Koavf.Feb 26 2017, 7:44 PM
Mattflaschen-WMF updated the task description. (Show Details)

Change 368113 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[operations/mediawiki-config@master] Make emails for minor edits always available; keep defaults

https://gerrit.wikimedia.org/r/368113

Elitre added a subscriber: Elitre.Jul 27 2017, 9:14 AM

Change 368113 merged by jenkins-bot:
[operations/mediawiki-config@master] Make emails for minor edits always available; keep defaults

https://gerrit.wikimedia.org/r/368113

Mentioned in SAL (#wikimedia-operations) [2017-07-27T23:35:23Z] <catrope@tin> Synchronized wmf-config/: Enable emails for minor edits everywhere but keep default prefs (T29884, T142727) (duration: 00m 45s)

This is working.

Sorry for the raw wikitext that may appear on some wikis (e.g. enwiki) ("This is a <span
id="minoredit_helplink">[[Help:Minor edit|minor edit]]</span>").

This is because of local overrides. I've fixed this, but the i18n change will take a little while to roll out.

This is working.
Sorry for the raw wikitext that may appear on some wikis (e.g. enwiki) ("This is a <span
id="minoredit_helplink">[[Help:Minor edit|minor edit]]</span>").
This is because of local overrides. I've fixed this, but the i18n change will take a little while to roll out.

Is there anything that can be done to make it happen quickly?

Checked in betalabs (for wikitext User talk pages) and testwiki (wmf.12) for watched articles

The setting for sending emails for minor edit is in place - Preferences-User profile - Email options Email.

When enabled, a user will receive email about edits on watched pages marked as minor.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 3 2017, 1:38 AM